Functions
Port Configuration
Peripheral Driver » LL Driver » AON_GPIO » Functions

## Functions
__STATIC_INLINE void | ll_aon_gpio_set_pin_mode (uint32_t pin_mask, uint32_t mode)
| Set several AON_GPIO pins to input/output mode. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_get_pin_mode (uint32_t pin)
| Return gpio mode for a AON_GPIO pin. More...
__STATIC_INLINE void | ll_aon_gpio_set_pin_input_type (uint32_t pin_mask, uint32_t type)
| Set several AON_GPIO pins to input type. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_get_pin_input_type (uint32_t pin)
| Return input type for a AON_GPIO pin. More...
__STATIC_INLINE void | ll_aon_gpio_set_pin_pull (uint32_t pin_mask, uint32_t pull)
| Configure gpio pull-up or pull-down for a dedicated AON_GPIO pin. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_get_pin_pull (uint32_t pin)
| Return gpio pull-up or pull-down for a dedicated AON_GPIO pin. More...
__STATIC_INLINE void | ll_aon_gpio_set_pin_mux (uint32_t pin, uint32_t mux)
| Configure gpio pinmux number of a dedicated pin from 0 to 7 for a dedicated port. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_get_pin_mux (uint32_t pin)
| Return gpio alternate function of a dedicated pin from 0 to 7 for a dedicated port. More...
__STATIC_INLINE void | ll_aon_gpio_set_pin_speed (uint32_t pin_mask, uint32_t speed)
| Configure slew rate for a dedicated AON_GPIO pin. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_get_pin_speed (uint32_t pin)
| Return slew rate for a dedicated AON_GPIO pin. More...
__STATIC_INLINE void | ll_aon_gpio_set_pin_strength (uint32_t pin_mask, uint32_t strength)
| Configure output drive strength for a dedicated AON_GPIO pin. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_get_pin_strength (uint32_t pin_mask)
| Return output strength for a dedicated AON_GPIO pin. More...
__STATIC_INLINE void | ll_aon_gpio4_enable_clk_output (uint32_t clk_sel)
| Enable clock output on AON_GPIO_PIN4. More...
__STATIC_INLINE void | ll_aon_gpio4_disable_clk_output (void)
| Disable clock output on AON_GPIO_PIN4. More...
__STATIC_INLINE uint32_t | ll_aon_gpio4_is_enabled_clk_output (void)
| Check if clock output on AON_GPIO_PIN4 is enabled or disabled. More...
__STATIC_INLINE void | ll_aon_gpio_enable_xo_2mhz_output (void)
| Enable Xo_2MHz output on AON_GPIO_PIN5. More...
__STATIC_INLINE void | ll_aon_gpio_disable_xo_2mhz_output (void)
| Disable Xo_2MHz output on AON_GPIO_PIN5. More...
__STATIC_INLINE uint32_t | ll_aon_gpio_is_enabled_xo_2mhz_output (void)
| Check if Xo_2MHz output on AON_GPIO_PIN5 is enabled or disabled. More...

## Detailed Description

## Function Documentation

## ◆ ll_aon_gpio4_disable_clk_output()

__STATIC_INLINE void ll_aon_gpio4_disable_clk_output | ( | void |  | ) |

Disable clock output on AON_GPIO_PIN4.

Register|BitsName --------|-------- AON_PAD_CLK | AON_PAD_CLK

Return values

  None |

Definition at line 737 of file ll_aon_gpio.h.

References AON_IO.

## ◆ ll_aon_gpio4_enable_clk_output()

__STATIC_INLINE void ll_aon_gpio4_enable_clk_output | ( | uint32_t | clk_sel | ) |

Enable clock output on AON_GPIO_PIN4.

Register|BitsName --------|-------- AON_PAD_CLK | AON_PAD_CLK

Parameters

  clk_sel | This parameter can be the following values: LL_CLK_RNG_OSC_32K LL_CLK_RNG_OSC_250K LL_CLK_RC_OSC_CLK LL_CLK_RTC_CLK

Return values

  None |

Definition at line 722 of file ll_aon_gpio.h.

References AON_IO.

## ◆ ll_aon_gpio4_is_enabled_clk_output()

__STATIC_INLINE uint32_t ll_aon_gpio4_is_enabled_clk_output | ( | void |  | ) |

Check if clock output on AON_GPIO_PIN4 is enabled or disabled.

Register|BitsName --------|-------- AON_PAD_CLK | AON_PAD_CLK

Return values

  State | of bit (1 or 0).

Definition at line 751 of file ll_aon_gpio.h.

References AON_IO.

## ◆ ll_aon_gpio_disable_xo_2mhz_output()

__STATIC_INLINE void ll_aon_gpio_disable_xo_2mhz_output | ( | void |  | ) |

Disable Xo_2MHz output on AON_GPIO_PIN5.

Register|BitsName --------|-------- PWR_RET01 | XO_2MHZ_ENA

Return values

  None |

Definition at line 779 of file ll_aon_gpio.h.

References AON_CTL.

## ◆ ll_aon_gpio_enable_xo_2mhz_output()

__STATIC_INLINE void ll_aon_gpio_enable_xo_2mhz_output | ( | void |  | ) |

Enable Xo_2MHz output on AON_GPIO_PIN5.

Register|BitsName --------|-------- PWR_RET01 | XO_2MHZ_ENA

Return values

  None |

Definition at line 765 of file ll_aon_gpio.h.

References AON_CTL.

## ◆ ll_aon_gpio_get_pin_input_type()

__STATIC_INLINE uint32_t ll_aon_gpio_get_pin_input_type | ( | uint32_t | pin | ) |

Return input type for a AON_GPIO pin.

Note
  I/O mode can be Input mode. General purpose output.
  Warning: only one pin can be passed as parameter.

Register|BitsName --------|-------- AON_PAD_CTL2 | IS

Parameters

  pin | This parameter can be one of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7

Return values

  Returned | value can be one of the following values: LL_AON_GPIO_INPUT_TYPE_CMOS LL_AON_GPIO_INPUT_TYPE_SCHMITT

Definition at line 407 of file ll_aon_gpio.h.

References AON_IO, LL_AON_GPIO_INPUT_TYPE_CMOS, and LL_AON_GPIO_INPUT_TYPE_SCHMITT.

## ◆ ll_aon_gpio_get_pin_mode()

__STATIC_INLINE uint32_t ll_aon_gpio_get_pin_mode | ( | uint32_t | pin | ) |

Return gpio mode for a AON_GPIO pin.

Note
  I/O mode can be Input mode. General purpose output.
  Warning: only one pin can be passed as parameter.

Register|BitsName --------|-------- AON_PAD_CTL0 | IE AON_PAD_CTL1 | OE

Parameters

  pin | This parameter can be one of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7

Return values

  Returned | value can be one of the following values: LL_AON_GPIO_MODE_NONE LL_AON_GPIO_MODE_INPUT LL_AON_GPIO_MODE_OUTPUT LL_AON_GPIO_MODE_INOUT

Definition at line 347 of file ll_aon_gpio.h.

References AON_IO, LL_AON_GPIO_MODE_INPUT_POS, and LL_AON_GPIO_MODE_OUTPUT_POS.

## ◆ ll_aon_gpio_get_pin_mux()

__STATIC_INLINE uint32_t ll_aon_gpio_get_pin_mux | ( | uint32_t | pin | ) |

Return gpio alternate function of a dedicated pin from 0 to 7 for a dedicated port.

Register|BitsName --------|-------- AON_PAD_MUX | AON_PAD_MUX AON_MCU_OVR | AON_MCU_OVR

Parameters

  pin | This parameter can be one of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7

Return values

  Returned | value can be one of the following values: IO_MUX_GPIO define

Definition at line 544 of file ll_aon_gpio.h.

References AON_IO, and IO_MUX_GPIO.

## ◆ ll_aon_gpio_get_pin_pull()

__STATIC_INLINE uint32_t ll_aon_gpio_get_pin_pull | ( | uint32_t | pin | ) |

Return gpio pull-up or pull-down for a dedicated AON_GPIO pin.

Note
  Warning: only one pin can be passed as parameter.

Register|BitsName --------|-------- AON_PAD_CTL0 | PE AON_PAD_CTL0 | PS

Parameters

  pin | This parameter can be one of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7

Return values

  Returned | value can be one of the following values: LL_AON_GPIO_PULL_NO LL_AON_GPIO_PULL_UP LL_AON_GPIO_PULL_DOWN

Definition at line 471 of file ll_aon_gpio.h.

References AON_IO, LL_AON_GPIO_PULL_DOWN, LL_AON_GPIO_PULL_NO, and LL_AON_GPIO_PULL_UP.

## ◆ ll_aon_gpio_get_pin_speed()

__STATIC_INLINE uint32_t ll_aon_gpio_get_pin_speed | ( | uint32_t | pin | ) |

Return slew rate for a dedicated AON_GPIO pin.

Note
  Warning: only one pin can be passed as parameter.

Register|BitsName --------|-------- AON_PAD_CTRL2 | SR

Parameters

  pin | This parameter can be one of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7

Return values

  Returned | value can be one of the following values: LL_AON_GPIO_SPEED_MEDIUM LL_AON_GPIO_SPEED_HIGH

Definition at line 620 of file ll_aon_gpio.h.

References AON_IO.

## ◆ ll_aon_gpio_get_pin_strength()

__STATIC_INLINE uint32_t ll_aon_gpio_get_pin_strength | ( | uint32_t | pin_mask | ) |

Return output strength for a dedicated AON_GPIO pin.

Note
  Warning: only one pin can be passed as parameter.

Register|BitsName --------|-------- AON_PAD_CTL3 | DS0 AON_PAD_CTL3 | DS1

Parameters

  pin_mask | This parameter can be one of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7

Return values

  Returned | value can be one of the following values: LL_AON_GPIO_STRENGTH_LOW LL_AON_GPIO_STRENGTH_MEDIUM LL_AON_GPIO_STRENGTH_HIGH LL_AON_GPIO_STRENGTH_ULTRA

Definition at line 699 of file ll_aon_gpio.h.

References AON_IO, LL_AON_GPIO_STRENGTH_DS0_POS, and LL_AON_GPIO_STRENGTH_DS1_POS.

## ◆ ll_aon_gpio_is_enabled_xo_2mhz_output()

__STATIC_INLINE uint32_t ll_aon_gpio_is_enabled_xo_2mhz_output | ( | void |  | ) |

Check if Xo_2MHz output on AON_GPIO_PIN5 is enabled or disabled.

Register|BitsName --------|-------- PWR_RET01 | XO_2MHZ_ENA

Return values

  None |

Definition at line 793 of file ll_aon_gpio.h.

References AON_CTL.

## ◆ ll_aon_gpio_set_pin_input_type()

__STATIC_INLINE void ll_aon_gpio_set_pin_input_type | ( | uint32_t | pin_mask,
|  | uint32_t | type
| ) |  |

Set several AON_GPIO pins to input type.

Register|BitsName --------|-------- AON_PAD_CTL2 | IS

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL
  type | This parameter can be one of the following values: LL_AON_GPIO_INPUT_TYPE_CMOS LL_AON_GPIO_INPUT_TYPE_SCHMITT

Return values

  None |

Definition at line 379 of file ll_aon_gpio.h.

References AON_IO, and LL_AON_GPIO_INPUT_TYPE_SCHMITT.

## ◆ ll_aon_gpio_set_pin_mode()

__STATIC_INLINE void ll_aon_gpio_set_pin_mode | ( | uint32_t | pin_mask,
|  | uint32_t | mode
| ) |  |

Set several AON_GPIO pins to input/output mode.

Register|BitsName --------|-------- AON_PAD_CTL1 | AON_GPO_OE_N

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL
  mode | This parameter can be one of the following values: LL_AON_GPIO_MODE_NONE LL_AON_GPIO_MODE_INPUT LL_AON_GPIO_MODE_OUTPUT LL_AON_GPIO_MODE_INOUT

Return values

  None |

Definition at line 312 of file ll_aon_gpio.h.

References AON_IO, LL_AON_GPIO_MODE_INOUT, LL_AON_GPIO_MODE_INPUT, and LL_AON_GPIO_MODE_OUTPUT.

## ◆ ll_aon_gpio_set_pin_mux()

__STATIC_INLINE void ll_aon_gpio_set_pin_mux | ( | uint32_t | pin,
|  | uint32_t | mux
| ) |  |

Configure gpio pinmux number of a dedicated pin from 0 to 7 for a dedicated port.

Note
  Possible values are from AF0 to AF15 depending on target.
  Warning: only one pin can be passed as parameter.

Register|BitsName --------|-------- AON_PAD_MUX | AON_PAD_MUX AON_MCU_OVR | AON_MCU_OVR

Parameters

  pin | This parameter can be one of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7
  mux | This parameter can be one of the following values: IO_MUX_GPIO define

Return values

  None |

Definition at line 502 of file ll_aon_gpio.h.

References AON_IO, and IO_MUX_GPIO.

## ◆ ll_aon_gpio_set_pin_pull()

__STATIC_INLINE void ll_aon_gpio_set_pin_pull | ( | uint32_t | pin_mask,
|  | uint32_t | pull
| ) |  |

Configure gpio pull-up or pull-down for a dedicated AON_GPIO pin.

Note
  Warning: only one pin can be passed as parameter.

Register|BitsName --------|-------- AON_PAD_CTL0 | PE AON_PAD_CTL0 | PS

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL
  pull | This parameter can be one of the following values: LL_AON_GPIO_PULL_NO LL_AON_GPIO_PULL_UP LL_AON_GPIO_PULL_DOWN

Return values

  None |

Definition at line 439 of file ll_aon_gpio.h.

References AON_IO, LL_AON_GPIO_PULL_NO, and LL_AON_GPIO_PULL_UP.

## ◆ ll_aon_gpio_set_pin_speed()

__STATIC_INLINE void ll_aon_gpio_set_pin_speed | ( | uint32_t | pin_mask,
|  | uint32_t | speed
| ) |  |

Configure slew rate for a dedicated AON_GPIO pin.

Note
  Warning: only one pin can be passed as parameter.

Register|BitsName --------|-------- AON_PAD_CTRL2 | SR

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL
  speed | This parameter can be one of the following values: LL_AON_GPIO_SPEED_MEDIUM LL_AON_GPIO_SPEED_HIGH

Return values

  None |

Definition at line 587 of file ll_aon_gpio.h.

References AON_IO.

## ◆ ll_aon_gpio_set_pin_strength()

__STATIC_INLINE void ll_aon_gpio_set_pin_strength | ( | uint32_t | pin_mask,
|  | uint32_t | strength
| ) |  |

Configure output drive strength for a dedicated AON_GPIO pin.

Note
  Warning: only one pin can be passed as parameter.

Register|BitsName --------|-------- AON_PAD_CTL3 | DS0 AON_PAD_CTL3 | DS1

Parameters

  pin_mask | This parameter can be a combination of the following values: LL_AON_GPIO_PIN_0 LL_AON_GPIO_PIN_1 LL_AON_GPIO_PIN_2 LL_AON_GPIO_PIN_3 LL_AON_GPIO_PIN_4 LL_AON_GPIO_PIN_5 LL_AON_GPIO_PIN_6 LL_AON_GPIO_PIN_7 LL_AON_GPIO_PIN_ALL
  strength | This parameter can be one of the following values: LL_AON_GPIO_STRENGTH_LOW LL_AON_GPIO_STRENGTH_MEDIUM LL_AON_GPIO_STRENGTH_HIGH LL_AON_GPIO_STRENGTH_ULTRA

Return values

  None |

Definition at line 653 of file ll_aon_gpio.h.

References AON_IO, LL_AON_GPIO_STRENGTH_DS0_MASK, LL_AON_GPIO_STRENGTH_DS0_POS, LL_AON_GPIO_STRENGTH_DS1_MASK, and LL_AON_GPIO_STRENGTH_DS1_POS.